v_hdmitx: XV_HdmiTx_Stream Struct Reference

| v_hdmitx Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XV_HdmiTx_Stream Struct Reference

This typedef contains HDMI TX stream specific data structure. More...

## Data Fields
XVidC_VideoStream | Video
| Video stream for HDMI TX. More...
XV_HdmiTx_AudioStream | Audio
| Audio stream for HDMI TX. More...
u8 | Vic
     Video Identification code
flag More...
u8 | IsHdmi
| HDMI flag. More...
u8 | IsHdmi20
| HDMI 2.0 flag. More...
u8 | IsScrambled
                     Scrambler flag
1 - scrambled data , 0 - non scrambled data More...
u8 | OverrideScrambler
| Override scramble flag. More...
u32 | TMDSClock
| TMDS clock. More...
u8 | TMDSClockRatio
                     TMDS clock ration
0 - 1/10, 1 - 1/40 More...
u32 | PixelClk
| Pixel Clock. More...
XV_HdmiTx_State | State
| State. More...
u8 | IsConnected
| Connected flag. More...
u8 | SampleRate
| Sample rate. More...

## Detailed Description

This typedef contains HDMI TX stream specific data structure.

## Field Documentation

XV_HdmiTx_AudioStream XV_HdmiTx_Stream::Audio

Audio stream for HDMI TX.

u8 XV_HdmiTx_Stream::IsConnected

Connected flag.

This flag is set when the cable is connected

Referenced by XV_HdmiTx_CfgInitialize(), and XV_HdmiTx_IsStreamConnected().

u8 XV_HdmiTx_Stream::IsHdmi

HDMI flag.

1 - HDMI Stream, 0 - DVI Stream

Referenced by XV_HdmiTx_SetDviMode(), and XV_HdmiTx_SetHdmiMode().

u8 XV_HdmiTx_Stream::IsHdmi20

HDMI 2.0 flag.

Referenced by XV_HdmiTx_ClockRatio(), XV_HdmiTx_DetectHdmi20(), XV_HdmiTx_Scrambler(), and XV_HdmiTx_SetStream().

u8 XV_HdmiTx_Stream::IsScrambled

                     Scrambler flag

1 - scrambled data , 0 - non scrambled data

Referenced by XV_HdmiTx_IsStreamScrambled(), XV_HdmiTx_Scrambler(), and XV_HdmiTx_SetStream().

u8 XV_HdmiTx_Stream::OverrideScrambler

Override scramble flag.

Referenced by XV_HdmiTx_CfgInitialize(), and XV_HdmiTx_Scrambler().

u32 XV_HdmiTx_Stream::PixelClk

Pixel Clock.

Referenced by XV_HdmiTx_GetTmdsClk().

u8 XV_HdmiTx_Stream::SampleRate

Sample rate.

Referenced by XV_HdmiTx_SetSampleRate().

XV_HdmiTx_State XV_HdmiTx_Stream::State

State.

Referenced by XV_HdmiTx_CfgInitialize().

u32 XV_HdmiTx_Stream::TMDSClock

TMDS clock.

Referenced by XV_HdmiTx_Scrambler(), and XV_HdmiTx_SetStream().

u8 XV_HdmiTx_Stream::TMDSClockRatio

                     TMDS clock ration

0 - 1/10, 1 - 1/40

Referenced by XV_HdmiTx_ClockRatio(), and XV_HdmiTx_SetStream().

u8 XV_HdmiTx_Stream::Vic

     Video Identification code

flag

Referenced by XV_HdmiTx_SetStream().

XVidC_VideoStream XV_HdmiTx_Stream::Video

Video stream for HDMI TX.

Referenced by XV_HdmiTx_DebugInfo(), XV_HdmiTx_SetColorDepth(), XV_HdmiTx_SetColorFormat(), XV_HdmiTx_SetPixelRate(), and XV_HdmiTx_SetStream().